Masquer la réponse
curl --request PUT \
--url https://api.x.com/2/tweets/{tweet_id}/hidden \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hidden": true
}'import requests
url = "https://api.x.com/2/tweets/{tweet_id}/hidden"
payload = { "hidden": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hidden: true})
};
fetch('https://api.x.com/2/tweets/{tweet_id}/hidden', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hidden": true
}
}{
"code": 123,
"message": "<string>"
}Masquer les réponses
Masquer la réponse
Masque ou affiche une réponse dans une conversation appartenant à l’utilisateur authentifié.
PUT
/
2
/
tweets
/
{tweet_id}
/
hidden
Masquer la réponse
Autorisations
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de la réponse que vous souhaitez masquer ou afficher. Identifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
Pattern:
^[0-9]{1,19}$Exemple:
"1346889436626259968"
Corps
application/json
Réponse
La requête a abouti.
Show child attributes
Show child attributes
⌘I